#!/usr/bin/env bash

consul_mode="$(ask_multichoice "Consul installation mode" "none" "client" "server")";

if [[ "${consul_mode}" != "none" ]]; then
	queue_apt_install "hashicorp-consul";
	if [[ "${consul_mode}" == "client" ]]; then
		queue_apt_install "hashicorp-consul-systemd-client";
	else
		queue_apt_install "hashicorp-consul-systemd-server";
	fi
	
	queue_postinstall_step "75-consul.sh"
fi
