#!/usr/bin/env bash

#shellcheck disable=2154
case "${logging_mode}" in
	rsyslog-client )
		curl -sSL https://letsencrypt.org/certs/isrg-root-x1-cross-signed.pem -o /etc/ssl/isrg-root-x1-cross-signed.pem;
		
		if [[ -r "/etc/rsyslog.conf" ]]; then
			mv /etc/rsyslog.conf /etc/rsyslog.conf.dpkg-dist;
		fi
		
		cp configs/rsyslog-client.conf /etc/rsyslog.conf;
		;;
esac

systemctl restart rsyslog;
