#!/usr/bin/env bash

task_begin "Configuring Docker apt repository";
# curl -fsSL https://get.docker.com -o /tmp/get-docker.sh
# chmod +x /tmp/get-docker.sh
# sudo sh /tmp/get-docker.sh
echo "deb [arch=$(dpkg --print-architecture)] http://download.docker.com/linux/raspbian buster stable" >/etc/apt/sources.list.d/docker.list;

queue_apt_install docker-ce;

task_end "$?";

queue_postinstall_step "20-docker.sh";


task_begin "docker: installing libseccomp2 from ${VERSION_CODENAME}-backports";
# Fix apt update errors inside docker containers
# Ref https://blog.samcater.com/fix-workaround-rpi4-docker-libseccomp2-docker-20/
apt-get install libseccomp2 -t "${VERSION_CODENAME}-backports"
task_end "$?";
