#!/usr/bin/env bash


if ! grep -qP '^en_GB.UTF-8 UTF-8$' /etc/locale.gen; then
	task_begin "Generating locale en_GB.UTF-8";
	echo "LC_ALL=en_GB.UTF-8" >> /etc/environment;
	echo "en_GB.UTF-8 UTF-8" >> /etc/locale.gen;
	echo "LANG=en_GB.UTF-8" > /etc/locale.conf;
	locale-gen en_GB.UTF-8;
	task_end "$?" "Error: Failed to generate locale";
fi