#!/usr/bin/env bash

nomad_mode="$(ask_multichoice "Nomad installation mode" "none" "client" "server" "both")";

if [[ "${nomad_mode}" != "none" ]]; then
	queue_apt_install "hashicorp-nomad";
	case "${nomad_mode}" in
		client )
			queue_apt_install "hashicorp-nomad-systemd-client";
			;;
		server )
			queue_apt_install "hashicorp-nomad-systemd-server";
			;;
		both )
			queue_apt_install "hashicorp-nomad-systemd-both";
			;;
	esac
	
	queue_postinstall_step "80-nomad.sh"
fi
