#!/usr/bin/env bash

if [[ ! -e "/etc/docker/daemon.json" ]]; then
	task_begin "Updating Docker configuration";
	echo '{"insecure-registries":["registry.service.mooncarrot.space:5000"]}' >/etc/docker/daemon.json;
	task_end "$?";
fi

task_begin "Reloading docker systemd service";
systemctl reload docker.service
task_end "$?";
