#!/usr/bin/env bash

task_begin "Configuring apt.starbeamrainbowlabs.com apt repository";

subtask_begin "Writing apt repository sources";
echo 'deb http://apt.starbeamrainbowlabs.com/ ./ # apt.starbeamrainbowlabs.com' >/etc/apt/sources.list.d/sbrl.list
subtask_end "$?" "Error: Failed to write apt repository sources";

subtask_begin "Importing GPG signing key";
curl -sSL https://apt.starbeamrainbowlabs.com/aptosaurus.asc >/etc/apt/trusted.gpg.d/sbrl.asc
subtask_end "$?" "Error: Failed to import GPG signing key";

task_end "$?" "Error: Failed to configure apt.starbeamrainbowlabs.com apt repository"